# Interface WaylandTextInput.IMEListener

Enclosing interface:
  `WaylandTextInput`

public static interface WaylandTextInput.IMEListener

## Method Summary

Modifier and Type
Method
Description
`void`
`commitText(@Nullable String commitText)`
`void`
`deleteSurroundingText(int beforeLength, int afterLength)`
`void`
`done()`
`void`
`leave()`
`void`
`preeditText(@Nullable String preeditText, int cursorBegin, int cursorEnd)`

## Method Details

### commitText

void commitText(@Nullable @Nullable String commitText)

### deleteSurroundingText

void deleteSurroundingText(int beforeLength, int afterLength)

### done

void done()

### leave

void leave()

### preeditText

void preeditText(@Nullable @Nullable String preeditText, int cursorBegin, int cursorEnd)